This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316041 - virt-rescue fails, but missing error message
virt-rescue fails, but missing error message
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 05:08 EST by Richard W.M. Jones
Modified: 2016-05-05 09:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-05 09:11:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2016-03-09 05:08:36 EST
Description of problem:

$ virt-rescue --ro --format qcow2 -a rawhide-armv7l.qcow2 
Try `virt-rescue --help' for more information.

(It works if you use --format=qcow2)

Notice there should be an error message of some sort
before the "Try `virt-rescue ..." message.

Version-Release number of selected component (if applicable):

libguestfs-tools-c-1.33.14-1.fc25.x86_64

How reproducible:

100%

Steps to Reproduce:
1. See above.
Comment 1 Pino Toscano 2016-05-05 09:11:49 EDT
Fixed with
https://github.com/libguestfs/libguestfs/commit/dc02e8985f75fef3142c50f0ef352d9087ba4248
which is in libguestfs >= 1.33.28.

Note You need to log in before you can comment on or make changes to this bug.